javax.lang.model.element

## Interface TypeParameterElement

- All Superinterfaces:
    Element

      public interface TypeParameterElement
      extends Element

  Represents a formal type parameter of a generic class, interface, method, or constructor element. A type parameter declares a `TypeVariable`.
  Since:
    1.6
  See Also:
    `TypeVariable`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends TypeMirror>` | `getBounds()` Returns the bounds of this type parameter.
    `Element` | `getGenericElement()` Returns the generic class, interface, method, or constructor that is parameterized by this type parameter.

    - ### Methods inherited from interface javax.lang.model.element.Element

      `accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

- - ### Method Detail

    - #### getGenericElement

          Element getGenericElement()

      Returns the generic class, interface, method, or constructor that is parameterized by this type parameter.
      Returns:
        the generic class, interface, method, or constructor that is parameterized by this type parameter

    - #### getBounds

          List<? extends TypeMirror> getBounds()

      Returns the bounds of this type parameter. These are the types given by the `extends` clause used to declare this type parameter. If no explicit `extends` clause was used, then `java.lang.Object` is considered to be the sole bound.
      Returns:
        the bounds of this type parameter, or an empty list if there are none

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.